To make more sense of the records-related endpoints, it helps to understand Okapi’s core data model. You can also hit
objects-related endpoints if you’d like to customize the types of data you track in your Okapi instance.
From there, go to “Organization API Keys” on the left navbar.
Choose “New API Key”, and a desired expiration time for your API key (if any).
Copy the API Key now shown. Take note of it, because you will not be able to copy it again later.
You can now use this API key to interact with Okapi. For instance, try this endpoint to list the objects in your
instance:
# replace ... with the API key from step (4)curl -H "Authorization: Bearer ..." https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/ListObjects -d '{}'
Okapi is centered around objects and records. Almost everything is either an instance of one of those two, or mostly
just manipulates these.Objects are customizable data types. Objects have a name and a set of field definitions, each of which also has a name
and a type. Objects are how you decide what you want to track. “Company” is a common object.Records are instances or occurrences of objects. Every record is associated with exactly one object, and has data
associated with the field definitions on that object. “Microsoft” or “Apple” are possible records of the “Company”
object.A typical Okapi instance might have tens to possibly hundreds of objects, but very rarely more. A typical Okapi instance
may have millions of records.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Okapi Documentation","colors":{"primary":"#44403c","light":"#e7e5e4","dark":"#44403c"},"favicon":"/favicon.svg","logo":{"light":"https://mintcdn.com/okapi/EDweF-qrKG95-jsL/logo/light.svg?fit=max\u0026auto=format\u0026n=EDweF-qrKG95-jsL\u0026q=85\u0026s=8738ffb83534686bfca8019588971c5e","dark":"https://mintcdn.com/okapi/EDweF-qrKG95-jsL/logo/dark.svg?fit=max\u0026auto=format\u0026n=EDweF-qrKG95-jsL\u0026q=85\u0026s=c1de97a54d7869697679fa479c1d8ba2"},"api":{"openapi":["api-reference/openapi.json"],"mdx":{"server":"https://api.okapicrm.com","auth":{"method":"bearer","name":null}}},"navbar":{"links":[{"label":"Support","href":"mailto:founders@okapicrm.com"}],"primary":{"type":"button","label":"App","href":"https://app.okapicrm.com"}},"footer":{"socials":{"twitter":"https://twitter.com/mintlify","github":"https://github.com/mintlify","linkedin":"https://www.linkedin.com/company/mintsearch"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"okapi","hasAudioNarration":false,"actualSubdomain":"okapi","customDomains":[],"gitSource":{"type":"github","owner":"okapicrm","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae91f81804c2f07efa9106c:success","clientVersion":"0.0.4088","searchFilterCounts":[{"language":"default","tag":"API Reference","count":13},{"language":"default","tag":"Records","count":8},{"language":"default","tag":"Objects","count":4},{"language":"default","tag":"API Documentation","count":1},{"language":"default","tag":"Documentation","count":1},{"language":"default","tag":"Get Started","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/introduction","slug":"/api-reference/introduction","pageMetadata":{"title":"Introduction","description":"Introduction to the Okapi API","href":"/api-reference/introduction"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Introduction to the Okapi API\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Heading,Note}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsx(Note,{children:_jsx(_components.p,{children:`The Okapi API is currently in alpha.`})}),`\n`,_jsx(Heading,{level:`2`,id:`welcome`,children:`Welcome`}),`\n`,_jsx(_components.p,{children:`For most folks who want to integrate with Okapi, you need to do two things:`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.a,{href:`#getting-an-api-key`,children:`Get an API key`}),`.`]}),`\n`,_jsxs(_components.li,{children:[`Hit the appropriate records-related endpoint(s) for your use-case. There are endpoints for `,_jsx(_components.a,{href:`/api-reference/endpoint/records/list`,children:`listing`}),`, `,_jsx(_components.a,{href:`/api-reference/endpoint/records/get`,children:`getting`}),`,\n`,_jsx(_components.a,{href:`/api-reference/endpoint/records/create`,children:`creating`}),`, `,_jsx(_components.a,{href:`/api-reference/endpoint/records/update`,children:`updating`}),`,\n`,_jsx(_components.a,{href:`/api-reference/endpoint/records/upsert`,children:`upserting`}),`, and `,_jsx(_components.a,{href:`/api-reference/endpoint/records/archive`,children:`archiving`}),` records,\namong others.`]}),`\n`]}),`\n`,_jsx(_components.p,{children:`To make more sense of the records-related endpoints, it helps to understand Okapi’s core data model. You can also hit\nobjects-related endpoints if you’d like to customize the types of data you track in your Okapi instance.`}),`\n`,_jsx(Heading,{level:`2`,id:`getting-an-api-key`,children:`Getting an API Key`}),`\n`,_jsx(_components.p,{children:`To get an API key:`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`Go to your user settings page. It’s the link at the bottom right of `,_jsx(_components.a,{href:`https://app.okapicrm.com`,children:`https://app.okapicrm.com`}),`.`]}),`\n`,_jsx(_components.li,{children:`From there, go to “Organization API Keys” on the left navbar.`}),`\n`,_jsx(_components.li,{children:`Choose “New API Key”, and a desired expiration time for your API key (if any).`}),`\n`,_jsx(_components.li,{children:`Copy the API Key now shown. Take note of it, because you will not be able to copy it again later.`}),`\n`]}),`\n`,_jsx(_components.p,{children:`You can now use this API key to interact with Okapi. For instance, try this endpoint to list the objects in your\ninstance:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# replace ... with the API key from step (4)`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer ...\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/ListObjects`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{}'`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`core-data-model`,children:`Core Data Model`}),`\n`,_jsx(_components.p,{children:`Okapi is centered around objects and records. Almost everything is either an instance of one of those two, or mostly\njust manipulates these.`}),`\n`,_jsx(_components.p,{children:`Objects are customizable data types. Objects have a name and a set of field definitions, each of which also has a name\nand a type. Objects are how you decide what you want to track. “Company” is a common object.`}),`\n`,_jsx(_components.p,{children:`Records are instances or occurrences of objects. Every record is associated with exactly one object, and has data\nassociated with the field definitions on that object. “Microsoft” or “Apple” are possible records of the “Company”\nobject.`}),`\n`,_jsx(_components.p,{children:`A typical Okapi instance might have tens to possibly hundreds of objects, but very rarely more. A typical Okapi instance\nmay have millions of records.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Introduction","description":"Introduction to the Okapi API","href":"/api-reference/introduction"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Welcome","slug":"welcome","depth":2,"children":[]},{"title":"Getting an API Key","slug":"getting-an-api-key","depth":2,"children":[]},{"title":"Core Data Model","slug":"core-data-model","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"okapi","siteName":"Okapi Documentation","title":"Introduction - Okapi Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T01:43:46.430Z","originalFileLocation":"api-reference/introduction.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Introduction to the Okapi API\">\u003cmeta data-mint-head name=\"application-name\" content=\"Okapi Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/okapi/DvpeH7ndQnZ2reLq/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/okapi/DvpeH7ndQnZ2reLq/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/okapi/DvpeH7ndQnZ2reLq/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/okapi/DvpeH7ndQnZ2reLq/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/okapi/DvpeH7ndQnZ2reLq/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/okapi/DvpeH7ndQnZ2reLq/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/okapi/DvpeH7ndQnZ2reLq/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/okapi/DvpeH7ndQnZ2reLq/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/okapi/DvpeH7ndQnZ2reLq/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Introduction - Okapi Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Introduction to the Okapi API\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Okapi Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://okapi.mintlify.app/api-reference/introduction\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://okapi.mintlify.site/_mintlify/api/og/v2?division=API+Documentation\u0026amp;title=Introduction\u0026amp;description=Introduction+to+the+Okapi+API\u0026amp;theme=0563b5dda48dc54dd93d2562\u0026amp;signature=56a53d4ccd9dc530360770eba608d43b67a27739b6a38f78d16be9addf4fb680\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Introduction - Okapi Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Introduction to the Okapi API\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://okapi.mintlify.site/_mintlify/api/og/v2?division=API+Documentation\u0026amp;title=Introduction\u0026amp;description=Introduction+to+the+Okapi+API\u0026amp;theme=0563b5dda48dc54dd93d2562\u0026amp;signature=56a53d4ccd9dc530360770eba608d43b67a27739b6a38f78d16be9addf4fb680\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/okapi/DvpeH7ndQnZ2reLq/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Okapi Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#44403c\">\u003clink data-mint-head rel=\"canonical\" href=\"https://okapi.mintlify.app/api-reference/introduction\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/introduction.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://okapi.mintlify.app/#organization\",\"name\":\"Okapi Documentation\",\"url\":\"https://okapi.mintlify.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/okapi/EDweF-qrKG95-jsL/logo/light.svg?fit=max\u0026auto=format\u0026n=EDweF-qrKG95-jsL\u0026q=85\u0026s=8738ffb83534686bfca8019588971c5e\"}},{\"@type\":\"WebSite\",\"@id\":\"https://okapi.mintlify.app#website\",\"name\":\"Okapi Documentation\",\"url\":\"https://okapi.mintlify.app\",\"publisher\":{\"@id\":\"https://okapi.mintlify.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://okapi.mintlify.app/api-reference/introduction#webpage\",\"url\":\"https://okapi.mintlify.app/api-reference/introduction\",\"name\":\"Introduction\",\"description\":\"Introduction to the Okapi API\",\"dateModified\":\"2026-01-07T01:43:46.430Z\",\"isPartOf\":{\"@id\":\"https://okapi.mintlify.app#website\"},\"breadcrumb\":{\"@id\":\"https://okapi.mintlify.app/api-reference/introduction#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://okapi.mintlify.app/api-reference/introduction#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Okapi Documentation\",\"item\":\"https://okapi.mintlify.app\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Introduction\",\"item\":\"https://okapi.mintlify.app/api-reference/introduction\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://okapi.mintlify.app/api-reference/introduction#article\",\"headline\":\"Introduction\",\"name\":\"Introduction\",\"description\":\"Introduction to the Okapi API\",\"url\":\"https://okapi.mintlify.app/api-reference/introduction\",\"mainEntityOfPage\":{\"@id\":\"https://okapi.mintlify.app/api-reference/introduction#webpage\"},\"dateModified\":\"2026-01-07T01:43:46.430Z\",\"publisher\":{\"@id\":\"https://okapi.mintlify.app/#organization\"},\"isPartOf\":{\"@id\":\"https://okapi.mintlify.app#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Okapi Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Okapi Documentation","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"Objects","pages":[{"openapi":"post /okapicrm.v1.OkapiCRMService/ListObjects","title":null,"description":"","href":"/api-reference/endpoint/objects/list"},{"openapi":"post /okapicrm.v1.OkapiCRMService/GetObject","title":null,"href":"/api-reference/endpoint/objects/get"},{"openapi":"post /okapicrm.v1.OkapiCRMService/CreateObject","title":null,"href":"/api-reference/endpoint/objects/create"},{"openapi":"post /okapicrm.v1.OkapiCRMService/UpdateObject","title":null,"href":"/api-reference/endpoint/objects/update"}]},{"group":"Records","pages":[{"openapi":"post /okapicrm.v1.OkapiCRMService/ListRecords","title":null,"href":"/api-reference/endpoint/records/list"},{"openapi":"post /okapicrm.v1.OkapiCRMService/GetRecord","title":null,"href":"/api-reference/endpoint/records/get"},{"openapi":"post /okapicrm.v1.OkapiCRMService/CreateRecord","title":null,"href":"/api-reference/endpoint/records/create"},{"openapi":"post /okapicrm.v1.OkapiCRMService/UpdateRecord","title":null,"href":"/api-reference/endpoint/records/update"},{"openapi":"post /okapicrm.v1.OkapiCRMService/UpsertRecord","title":null,"href":"/api-reference/endpoint/records/upsert"},{"openapi":"post /okapicrm.v1.OkapiCRMService/ArchiveRecord","title":null,"href":"/api-reference/endpoint/records/archive"},{"openapi":"post /okapicrm.v1.OkapiCRMService/UnarchiveRecord","title":null,"href":"/api-reference/endpoint/records/unarchive"},{"openapi":"post /okapicrm.v1.OkapiCRMService/DeleteRecord","title":null,"href":"/api-reference/endpoint/records/delete"}]}]}]},"basePath":"","title":"Introduction - Okapi Documentation","buildId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","deploymentId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","dynamics":[],"chunks":[]}